Bug 8078 - my summary showing contents of incorrect tab
Summary: my summary showing contents of incorrect tab
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: 3.10
Hardware: All All
: P5 - low major (vote)
Assignee: Owen Leonard
QA Contact:
URL:
Keywords:
Depends on: 5184
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-11 18:22 UTC by Nicole C. Engard
Modified: 2013-12-05 20:01 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
checked out showing fines (36.62 KB, image/png)
2012-05-11 18:22 UTC, Nicole C. Engard
Details
fines on check out tab in staff (14.39 KB, image/png)
2012-05-11 18:26 UTC, Nicole C. Engard
Details
Bug 8078 - my summary showing contents of incorrect tab (15.31 KB, patch)
2012-05-11 19:30 UTC, Owen Leonard
Details | Diff | Splinter Review
checkouts above tabs (35.48 KB, image/png)
2012-05-11 20:13 UTC, Nicole C. Engard
Details
Bug 8078 [REVISED] my summary showing contents of incorrect tab (15.02 KB, patch)
2012-05-17 14:37 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8078 [REVISED] my summary showing contents of incorrect tab (15.05 KB, patch)
2012-05-18 20:15 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2012-05-11 18:22:18 UTC
Created attachment 9523 [details]
checked out showing fines

See attached. When I log in to the OPAC instead of showing my my checkouts it shows my fines, but on the my checkouts tab. I then have to click on the fines tab and the on the checkouts tab to see the checkouts.
Comment 1 Nicole C. Engard 2012-05-11 18:26:51 UTC
Created attachment 9526 [details]
fines on check out tab in staff

Apparently the same is happening in the staff client: cgi-bin/koha/members/moremember.pl?borrowernumber=51
Comment 2 Owen Leonard 2012-05-11 18:54:09 UTC
This is almost certainly related to the jQuery upgrade.
Comment 3 Owen Leonard 2012-05-11 19:30:58 UTC Comment hidden (obsolete)
Comment 4 Nicole C. Engard 2012-05-11 20:13:06 UTC
Created attachment 9528 [details]
checkouts above tabs

Works in the OPAC, but in the staff client it does something strange.
Comment 5 Owen Leonard 2012-05-17 14:37:24 UTC Comment hidden (obsolete)
Comment 6 Nicole C. Engard 2012-05-18 20:15:32 UTC
Created attachment 9651 [details] [review]
[SIGNED-OFF] Bug 8078 [REVISED] my summary showing contents of incorrect tab

This patch moves the holdings tab content to the correct
position sequentially with regard to the order of the
tabs themselves. My guess is that the jQuery upgrade has
something to do with this change but I'm not sure why
(probably something in our aging tabs plugin which works
differently with the new jQuery version).

Making the sequence of the tab contents match the sequence
of the tabs seems to fix the problem.

Revised to correct the error in placement of the tags markup
in the staff client.

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
Comment 7 Ian Walls 2012-05-25 19:18:27 UTC
Template only patch moving content around and fixing whitespace.  Wraps id attribute in quotes for valid XHTML.  Marking Passed QA.
Comment 8 Paul Poulain 2012-05-28 08:37:18 UTC
This patch should not be backported to 3.8 unless the jquery upgrade is also on 3.8
Comment 9 Chris Cormack 2012-05-28 12:29:18 UTC
Bug 5184 hasn't been pushed to 3.8.x and won't be, so this can wait for 3.10